Name:          trigger-rally
Summary:       Fast-paced open source rally racing game
Version:       0.5.2.1
Release:       1
License:       GPL
Group:         Amusements/Games/Action/Race
Source0:       trigger-%{version}-src.tar.bz2
Source1:       %{name}.desktop
Source2:       %{name}32.png
Source3:       %{name}64.png
Patch0:        %{name}-%{version}-glew.patch
Url:           http://sourceforge.net/projects/trigger-rally
BuildRoot:     %{_tmppath}/build-root-%{name}
BuildRequires: gcc-c++ SDL-devel SDL_image-devel freealut-devel glew-devel openal-devel physfs-devel boost-jam update-desktop-files
Requires:      trigger-rally-data == %{version}

%description
Trigger is a fast-paced open source rally racing game.

Copyright (C) 2004-2006 Jasmine Langridge, Richard Langridge

%prep
%setup -q -n trigger-%{version}-src
# set attributes
chmod a-x Jam* config.* configure.ac doc/* mk/autoconf/* mk/jam/* src/Jamfile src/pengine/* src/psim/* src/trigger/*
# use system glew
%patch0
rm -rf src/glew

%build
./configure --datadir=%{_datadir}/games/trigger-rally
jam
# Data directory for program execution is set during compilation !
# We only use jam for compilation, NOT FOR INSTALLATION (only datadir must be specified)
# See ./configure --help for directory options

%install
# Program:
install -D -m 755 trigger $RPM_BUILD_ROOT%{_prefix}/games/trigger-rally
# Icons:
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/trigger-rally.png
install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps/trigger-rally.png
# Desktop menu entry:
%suse_update_desktop_file -i %{name} Game SportsGame

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/*
%{_prefix}/games/trigger-rally
%{_datadir}/applications/*.desktop
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/32x32
%dir %{_datadir}/icons/hicolor/32x32/apps
%dir %{_datadir}/icons/hicolor/64x64
%dir %{_datadir}/icons/hicolor/64x64/apps
%{_datadir}/icons/hicolor/*/apps/*.png

%changelog
* Tue Mar 03 2009 Pavol Rusnak <prusnak@suse.cz
- use system glew library (glew.patch)
* Sun Mar 01 2009 Frank Schaefer <schaeferf.obs@googlemail.com>
- Initial openSUSE package release (0.5.2.1)
